## Font

Font — Font style information

## Functions

FontManagerFont * | font_manager_font_new ()

## Properties

gboolean | active | Read / Write
char * | description | Read / Write
char * | family | Read / Write
char * | filepath | Read / Write
gint64 | findex | Read / Write
char * | preview-text | Read / Write
gint64 | slant | Read / Write
JsonObject * | source-object | Read / Write
gint64 | spacing | Read / Write
char * | style | Read / Write
gint64 | weight | Read / Write
gint64 | width | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_FONT
| FontManagerFont

## Object Hierarchy

        GObject
        ╰── FontManagerJsonProxy
            ╰── FontManagerFont

## Includes

    #include <font-manager-font.h>

## Description

FontManagerFont holds basic style information for a single font.

The JsonObject backing this class should have the following structure:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11

    {
      "filepath" : string,
      "findex" : int,
      "family" : string,
      "style" : string,
      "spacing" : int,
      "slant" : int,
      "weight" : int,
      "width" : int,
      "description" : string,
    }

## Functions

### font_manager_font_new ()

    FontManagerFont *
    font_manager_font_new (void);

#### Returns

A newly created FontManagerFont. Free the returned object using ``g_object_unref()``.

[transfer full]

## Types and Values

### FONT_MANAGER_TYPE_FONT

    #define FONT_MANAGER_TYPE_FONT (font_manager_font_get_type())

### FontManagerFont

    typedef struct _FontManagerFont FontManagerFont;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether font is active.

Owner: FontManagerFont

Flags: Read / Write

Default value: FALSE

### The `“description”` property

      “description”              char *

Pango font description.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“family”` property

      “family”                   char *

Fontconfig family name.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“filepath”` property

      “filepath”                 char *

Font filepath.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“findex”` property

      “findex”                   gint64

Font face index.

Owner: FontManagerFont

Flags: Read / Write

Allowed values: [-2147483648,2147483647]

Default value: 0

### The `“preview-text”` property

      “preview-text”             char *

Sample text.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“slant”` property

      “slant”                    gint64

Fontconfig slant.

Owner: FontManagerFont

Flags: Read / Write

Allowed values: [-2147483648,2147483647]

Default value: 0

### The `“source-object”` property

      “source-object”            JsonObject *

JsonObject source for this class.

Owner: FontManagerFont

Flags: Read / Write

### The `“spacing”` property

      “spacing”                  gint64

Fontconfig spacing.

Owner: FontManagerFont

Flags: Read / Write

Allowed values: [-2147483648,2147483647]

Default value: 0

### The `“style”` property

      “style”                    char *

Fontconfig style name.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“weight”` property

      “weight”                   gint64

Fontconfig weight.

Owner: FontManagerFont

Flags: Read / Write

Allowed values: [-2147483648,2147483647]

Default value: 0

### The `“width”` property

      “width”                    gint64

Fontconfig width.

Owner: FontManagerFont

Flags: Read / Write

Allowed values: [-2147483648,2147483647]

Default value: 0

## See Also

FontManagerJsonProxy